Use Debian's vendored rubygems settings.
--- a/lib/ruby/stdlib/rubygems/defaults/operating_system.rb
+++ b/lib/ruby/stdlib/rubygems/defaults/operating_system.rb
@@ -1,4 +1,5 @@
 # In order to avoid the exception from failing to load this file in rubygems.org,
 # we just require our actual defaults file here. Repackagers may modify this file
 # to do system-specific things.
-require 'rubygems/defaults/jruby'
\ No newline at end of file
+require 'rubygems/defaults/jruby'
+require '/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system.rb'
